GET
/ai_labs/organization/{Organization_Id}/course/{Course_Id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Course_Id
required
integer
Course ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Responses
Section titled “Responses”Successfully fetched course details
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
description
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
courseware_details
object
id
integer
name
string
project_id
integer
description
string
storage_type
string
pvc
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
location
string
bucket_size
string
access_key
object
id
integer
access_key
string
secret_key
string
tag
string
is_managed
boolean
location
string
encryption_type
string
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
pfs
string
location
string
professor_title
string
professor_name
string
professor
string
errors
object
message
string
Example
{ "code": 200, "data": { "id": 26, "name": "course-251027164554", "description": "This is a course description", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" }, "created_at": "2025-10-28T07:22:44.701976Z", "updated_at": "2025-10-28T07:22:46.515400Z", "courseware_details": { "id": 3006, "name": "ai-labs-course-1761636164", "project_id": 8007, "description": null, "storage_type": "managed", "pvc": null, "bucket": { "id": 5037, "bucket_name": "d-gpu-86822602-a838-432f-af04-06a2e0ea6fdb", "bucket_url": "s3://d-gpu-86822602-a838-432f-af04-06a2e0ea6fdb/", "endpoint": "https://objectstore.e2enetworks.net", "is_managed": true, "eos_bucket_permission_id": 16759, "location": "Delhi", "bucket_size": "0 bytes" }, "access_key": { "id": 5055, "access_key": "IMJMASCNSBEICHSPG2BN", "secret_key": null, "tag": "akgpue9b954868841451a9fbec7df7d83f102", "is_managed": true, "location": "Delhi" }, "encryption_type": null, "encryption_enable": false, "status": "Pending", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" }, "created_at": "2025-10-28T07:22:46.461837Z", "updated_at": "2025-10-28T07:22:46.461890Z", "pfs": null, "location": "Delhi" }, "professor_title": "Prof.", "professor_name": "test", "professor": "Prof. test" }, "errors": {}, "message": "Success"}